Skip to main content
GET
/
mpc
/
tokens
/
list
curl -X GET "https://api.cryptomate.me/mpc/tokens/list" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "id": "tok_5b8c2d10-3e4f-4a9b-8c1d-2e3f4a5b6c7d",
    "name": "Example Token",
    "symbol": "EXT",
    "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "blockchain": "POLYGON",
    "usd_price": 1.25
  }
]
Retrieves all custom tokens configured for the company. Requires an API key with access level 1 or higher.

Response

Returns an array of custom token objects.
id
string
Unique custom token identifier.
name
string
Token name.
symbol
string
Token symbol.
address
string
Smart contract address of the token.
blockchain
string
Blockchain network. One of ETHEREUM, POLYGON, BSC, ARBITRUM, OPTIMISM, BASE, AVALANCHE.
usd_price
number
Current token price in USD.
curl -X GET "https://api.cryptomate.me/mpc/tokens/list" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "id": "tok_5b8c2d10-3e4f-4a9b-8c1d-2e3f4a5b6c7d",
    "name": "Example Token",
    "symbol": "EXT",
    "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "blockchain": "POLYGON",
    "usd_price": 1.25
  }
]